/*Кнопки сравнения избранного.*/
.compare_buttons_cont .compare_button {
  width: 175px;
}
.compare_buttons_cont .compare_button .compare_count {
  margin: 0 5px 0 0;
}
/*Шапка таблицы избранного.*/
.favorite_table_header {
  display: flex;
  align-items: center;
  height: 60px;
  color: var(--color-text-gray);
  font-size: 14px;
  padding: 0 10px;
  border-bottom: 1px solid #E2E8F0;
}
.favorite_table_header .cell {
  width: 140px;
  flex: 0 0 auto;
  padding: 0 5px;
}
.favorite_table_header .cell.controls {
  width: 90px;
  flex: 0 0 auto;
}
@media (max-width: 575px) {
  .favorite_table_header .cell.controls {
    width: 70px;
  }
}
.favorite_table_header .cell.cell_arrow {
  width: 30px;
  flex: 0 0 auto;
}
.favorite_table_header .cell.cell_full {
  width: 100%;
  flex: 0 1 auto;
}
.favorite_table_header .cell.cell_very_big {
  width: 20%;
  flex: 1 1 auto;
}
.favorite_table_header .cell.cell_big {
  width: 200px;
}
.favorite_table_header .cell.cell_small {
  width: 100px;
}
.favorite_table_header .cell.cell_very_small {
  width: 70px;
  flex: 0 1 auto;
}
.favorite_table_header .sortable_cell_text {
  position: relative;
  cursor: pointer;
  padding: 0 14px 0 0;
}
.favorite_table_header .sortable_cell_text::before {
  content: '';
  position: absolute;
  top: 3px;
  right: 0;
  border-bottom: 5px solid var(--color-border-gray);
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
}
.favorite_table_header .sortable_cell_text::after {
  content: '';
  position: absolute;
  top: 9px;
  right: 0;
  border-top: 5px solid var(--color-border-gray);
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
}
.favorite_table_header .desc .sortable_cell_text::before {
  opacity: 0.5;
}
.favorite_table_header .asc .sortable_cell_text::after {
  opacity: 0.5;
}
/*Строки таблицы избранного.*/
.favorite_table_line {
  display: flex;
  align-items: center;
  padding: 15px 10px;
  color: var(--color-text-default);
  font-size: 16px;
  background: #ffffff;
  border-bottom: 1px solid #E2E8F0;
  cursor: pointer;
}
.favorite_table_line .cell {
  width: 140px;
  flex: 0 0 auto;
  padding: 0 5px;
}
.favorite_table_line .cell .nowrap {
  white-space: nowrap;
}
.favorite_table_line .cell.controls {
  width: 90px;
  flex: 0 0 auto;
}
@media (max-width: 575px) {
  .favorite_table_line .cell.controls {
    width: 70px;
  }
}
.favorite_table_line .cell.cell_arrow {
  width: 30px;
  flex: 0 0 auto;
}
.favorite_table_line .cell.cell_full {
  width: 100%;
  flex: 0 1 auto;
}
.favorite_table_line .cell.cell_very_big {
  width: 20%;
  flex: 1 1 auto;
}
.favorite_table_line .cell.cell_big {
  width: 200px;
}
.favorite_table_line .cell.cell_small {
  width: 100px;
}
.favorite_table_line .cell.cell_very_small {
  width: 70px;
  flex: 0 1 auto;
}
.favorite_table_line .last {
  text-align: center;
}
.favorite_table_line .price_m,
.favorite_table_line .price {
  font-weight: 400;
}
.favorite_table_line .floor .house_floors {
  font-size: 12px;
  color: var(--color-text-gray);
}
.favorite_table_line .arrow {
  display: inline-block;
  width: 10px;
  height: 10px;
  border-bottom: 1px solid #AADCFF;
  border-right: 1px solid #AADCFF;
  transform: rotate(45deg);
  transition: transform 0.3s;
}
.favorite_table_line .favorite-icon {
  width: 25px;
  height: 25px;
}
@media (max-width: 575px) {
  .favorite_table_line .favorite-icon {
    width: 20px;
    height: 20px;
  }
}
.favorite_table_line.opened .arrow {
  transform: rotate(-135deg);
}
/*Объект недвижимости удалённый из таблицы избранного.*/
.favorite_table_line.removed {
  background: #eeeeee;
  color: var(--color-text-gray);
}
.favorite_table_line.removed .arrow {
  display: none;
}
/*Таблица избранных квартир ЖК.*/
.complex_apartment_table .cell {
  width: 13%;
  flex: 1 0 auto;
}
.complex_apartment_table .cell.cell_big {
  width: 20%;
  flex: 1 1 auto;
}
.complex_apartment_table .cell.cell_small {
  width: 10%;
  flex: 0 1 auto;
}
@media (max-width: 991px) {
  .complex_apartment_table .cell.cell_small {
    width: 100px;
  }
}
/*Таблица избранной коммерческой недвижимости.*/
.commerce_table .cell {
  width: 13%;
  flex: 1 0 auto;
}
@media (max-width: 991px) {
  .commerce_table .cell {
    width: 140px;
    flex: 0 0 auto;
  }
}
.commerce_table .cell.cell_small {
  width: 13%;
  flex: 0 1 auto;
}
@media (max-width: 991px) {
  .commerce_table .cell.cell_small {
    width: 100px;
    flex: 0 0 auto;
  }
}
.favorite_table_object {
  display: none;
}
.favorite_table_object.opened {
  display: block;
  border-bottom: 1px solid #E2E8F0;
}
.form-dialog {
  display: none;
  position: relative;
  min-width: 920px;
}
/*Компас.*/
svg.icon-compass {
  width: 74px;
  height: 77px;
  transform-origin: 50% 50%;
}
/*Иконка вызова карты с адресом.*/
.estate_map_circle {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  background: #C2CDE4;
  width: 30px;
  height: 30px;
  border-radius: 100px;
  border: none;
}
.estate_map_circle svg {
  width: 12px;
  height: 16px;
  color: #ffffff;
}
.estate_map_circle:hover {
  background: var(--color-aqua);
}
/*Страница с информацией об объекте недвижимости.-START-*/
.estate-card {
  display: flex;
}
@media (max-width: 991px) {
  .estate-card {
    display: block;
  }
}
.estate-card .tabs {
  position: relative;
}
.estate-card .tabs .tab {
  height: 470px;
  display: flex;
  justify-content: center;
  align-items: center;
}
@media (max-width: 575px) {
  .estate-card .tabs .tab {
    height: 340px;
  }
}
@media (max-width: 360px) {
  .estate-card .tabs .tab {
    height: 300px;
  }
}
.estate-card .estate-control {
  text-align: center;
  margin-bottom: 30px;
}
.estate-card .estate-control button {
  display: inline-block;
  margin: 0 15px;
  background: none;
  padding: 0px 0px 8px 0px;
  line-height: 1;
  font-size: 16px;
  font-weight: 400;
  color: var(--color-text-gray);
  text-decoration: none;
  border: 0px;
  border-bottom: 2px solid transparent;
}
.estate-card .estate-control button.active {
  border-bottom: 2px solid var(--color-aqua);
  color: var(--color-aqua);
  cursor: default;
}
.estate-card .estate-card__ext {
  position: relative;
  flex: 0 1 auto;
  background: #ffffff;
  padding: 50px 45px 40px 45px;
  max-width: 100%;
  width: calc(100% - 476px);
}
@media (max-width: 1399px) {
  .estate-card .estate-card__ext {
    width: calc(100% - 380px);
  }
}
@media (max-width: 991px) {
  .estate-card .estate-card__ext {
    width: 100%;
    padding: 50px 45px 0 45px;
    position: relative;
  }
}
@media (max-width: 767px) {
  .estate-card .estate-card__ext {
    padding: 30px 25px 0 25px;
    overflow: hidden;
  }
}
.estate-card .estate-card__ext img {
  max-width: 100%;
}
.estate-card .gallery_container {
  margin: 0;
}
.estate-card .gallery_carousel {
  border-radius: 0;
  height: 470px;
  max-width: none;
}
.estate-card .gallery_carousel .item {
  height: 470px;
}
.estate-card .gallery_carousel img {
  width: auto;
  height: auto;
  max-width: 100%;
  max-height: 100%;
}
@media (max-width: 767px) {
  .estate-card .gallery_carousel {
    height: 400px;
  }
  .estate-card .gallery_carousel .item {
    height: 400px;
  }
}
@media (max-width: 575px) {
  .estate-card .gallery_carousel {
    height: 300px;
  }
  .estate-card .gallery_carousel .item {
    height: 300px;
  }
}
.estate-card .estate-plan__img {
  max-height: 100%;
}
@media (max-width: 575px) {
  .estate-card .estate-plan__img {
    max-height: 80%;
  }
}
.estate-card .estate-window__plan {
  text-align: center;
}
.estate-card .estate-window__plan svg {
  max-width: 100%;
  height: -moz-max-content;
  height: max-content;
  max-height: 390px;
}
.estate-card .estate-floor__plan {
  text-align: center;
}
.estate-card .estate-floor__plan svg {
  max-width: 100%;
  height: -moz-max-content;
  height: max-content;
  max-height: 390px;
}
.estate-card .estate-floor__plan .estate-apartment__plan {
  fill: var(--color-aqua);
  opacity: 0.35;
}
.estate-card .estate-card__info {
  background: #fff;
  padding: 50px 48px 25px 48px;
  font-size: 16px;
  width: 476px;
  flex: 0 0 auto;
}
@media (max-width: 1399px) {
  .estate-card .estate-card__info {
    width: 380px;
  }
}
@media (max-width: 991px) {
  .estate-card .estate-card__info {
    position: relative;
    width: 100%;
  }
}
@media (max-width: 575px) {
  .estate-card .estate-card__info {
    padding: 30px 15px 15px 15px;
  }
}
.estate-card .estate-card__info .estate-card__promos {
  margin-bottom: 15px;
}
.estate-card .estate-card__info .estate-card__promos .promo_tag {
  margin: 0 2px 2px 0;
}
.estate-card .estate-card__info h1 {
  font-size: 24px;
  font-weight: 400;
  margin-bottom: 0;
  line-height: 1.25;
}
@media (max-width: 575px) {
  .estate-card .estate-card__info h1 {
    font-size: 22px;
  }
}
.estate-card .preview_carousel {
  margin: 0 auto;
  margin-top: 30px;
  padding: 0 35px;
  max-width: 460px;
  max-height: 92px;
  overflow: hidden;
}
@media (max-width: 575px) {
  .estate-card .preview_carousel {
    padding: 0 25px;
  }
}
.estate-card .preview_carousel .item {
  text-align: center;
}
.estate-card .preview_carousel .preview_cont {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 100px;
  height: 92px;
  padding: 8px;
  cursor: pointer;
}
@media (max-width: 767px) {
  .estate-card .preview_carousel .preview_cont {
    padding: 4px;
    width: 72px;
    height: 62px;
  }
}
.estate-card .preview_carousel .preview_cont img {
  display: block;
  max-width: 100%;
  max-height: 100%;
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
     object-fit: contain;
}
.estate-card .preview_carousel .item.slick-current .preview_cont {
  border: 2px solid var(--color-aqua);
}
.estate-card .preview_carousel .slick-prev,
.estate-card .preview_carousel .slick-next {
  width: 35px;
  height: 35px;
}
@media (max-width: 767px) {
  .estate-card .preview_carousel .slick-prev,
  .estate-card .preview_carousel .slick-next {
    width: 30px;
    height: 30px;
  }
}
@media (max-width: 575px) {
  .estate-card .preview_carousel .slick-prev,
  .estate-card .preview_carousel .slick-next {
    width: 25px;
    height: 100%;
  }
}
.estate-card .preview_carousel .slick-prev {
  left: 0;
}
.estate-card .preview_carousel .slick-next {
  right: 0;
}
.estate-card .preview_carousel .slick-prev::before,
.estate-card .preview_carousel .slick-next::before {
  content: "";
  display: inline-block;
  width: 14px;
  height: 14px;
  border-top: 2px solid #5A5A5A;
  border-left: 2px solid #5A5A5A;
  transform: rotate(-45deg);
}
@media (max-width: 767px) {
  .estate-card .preview_carousel .slick-prev::before,
  .estate-card .preview_carousel .slick-next::before {
    width: 10px;
    height: 10px;
  }
}
.estate-card .preview_carousel .slick-next::before {
  transform: rotate(135deg);
}
.estate-card .preview_carousel .slick-prev.slick-disabled::before,
.estate-card .preview_carousel .slick-next.slick-disabled::before {
  opacity: 1;
}
.estate-card .estate-card__label {
  font-weight: 400;
  font-size: 16px;
  margin-bottom: 20px;
  color: var(--color-text-default);
  line-height: 1;
}
.estate-card .estate-card__ready {
  margin-bottom: 30px;
}
.estate-card .estate-deal {
  font-size: 16px;
  font-weight: 400;
  margin-bottom: 15px;
  line-height: 1;
}
.estate-card .estate-card__mb {
  margin-bottom: 20px;
}
.estate-card .estate-card__address {
  margin-bottom: 0px;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}
.estate-card .estate-card__address a {
  text-decoration: none;
  color: var(--color-text-default);
}
.estate-card .estate-card__address a:hover {
  color: var(--color-aqua);
}
.estate-card .estate-card__address span,
.estate-card .estate-card__address a {
  display: inline-block;
  border-left: 1px solid #D5DAE4;
  padding-right: 10px;
  padding-left: 10px;
  margin-bottom: 10px;
}
.estate-card .estate-card__address span:last-child,
.estate-card .estate-card__address a:last-child {
  padding-right: 0px;
}
.estate-card .estate-card__address span:first-child,
.estate-card .estate-card__address a:first-child {
  padding-left: 0px;
  border-left: 0px;
}
.estate-card .estate-card__address span .icon-check,
.estate-card .estate-card__address a .icon-check {
  color: var(--color-aqua);
  width: 16px;
  height: 16px;
}
.estate-card .estate-card__tags {
  margin: 0 0 30px 0;
}
.estate-card .estate-card__tags .estate-tag__item {
  margin: 0 0 12px 0;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}
.estate-card .estate-card__tags .estate-tag__item .estate-tag__title {
  font-size: 16px;
  flex: 1 1 auto;
}
.estate-card .estate-card__tags .estate-tag__item .estate-tag__question {
  flex: 0 0 auto;
  width: 18px;
  height: 18px;
  border: 1px solid #AAABAC;
  border-radius: 50%;
  text-align: center;
  line-height: 18px;
  font-size: 12px;
  font-weight: 400;
  color: #AAABAC;
  font-style: normal;
  margin-left: 15px;
  cursor: default;
  position: relative;
}
.estate-card .estate-card__tags .estate-tag__item .estate-tag__question .popup_cont {
  display: none;
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translatex(-50%);
  width: 240px;
  padding: 10px 0 0 0;
  z-index: 1;
  font-weight: normal;
}
.estate-card .estate-card__tags .estate-tag__item .estate-tag__question .popup_cont:after {
  content: '';
  position: absolute;
  top: 3px;
  left: 50%;
  margin: 0 0 0 -10px;
  border-bottom: 10px solid #ffffff;
  border-right: 10px solid transparent;
  border-left: 10px solid transparent;
}
.estate-card .estate-card__tags .estate-tag__item .estate-tag__question .popup_cont .text_cont {
  padding: 8px 10px;
  background: #ffffff;
  font-size: 12px;
  font-weight: 300;
  line-height: 1.25;
  color: var(--color-text-gray);
  text-align: center;
  cursor: auto;
  box-shadow: 0px 4px 10px rgba(25, 30, 45, 0.3);
}
.estate-card .estate-card__tags .estate-tag__item .estate-tag__question:hover .popup_cont {
  display: block;
}
.estate-card .estate-card__params {
  display: block;
  margin-bottom: 30px;
}
.estate-card .estate-card__params .estate-param__item {
  margin-bottom: 12px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.estate-card .estate-card__params .estate-param__item.estate-param__item2 {
  margin-bottom: 20px;
}
.estate-card .estate-card__params .estate-param__item .estate-param__label {
  color: var(--color-text-gray);
  line-height: 1;
  flex: 1 1 auto;
  font-size: 16px;
}
.estate-card .estate-card__params .estate-param__item .estate-param__value {
  font-size: 16px;
  line-height: 1;
}
.estate-card .estate-card__params .estate-param__item .estate-param__price {
  font-size: 24px;
  font-weight: 400;
  line-height: 1;
}
@media (max-width: 575px) {
  .estate-card .estate-card__params .estate-param__item .estate-param__price {
    font-size: 22px;
  }
}
.estate-card .estate-card__params .estate-param__item .estate-param__price_old {
  color: var(--color-gray);
  text-decoration: line-through;
  margin: 0 0 5px 0;
}
.estate-card .estate-card__params .estate-param__item .circle_question {
  vertical-align: middle;
  top: -2px;
  width: 20px;
  height: 20px;
  line-height: 20px;
  font-size: 13px;
  font-weight: 300;
  margin: 0 0 0 5px;
}
.estate-card .estate-card__params .estate-param__item .circle_question:hover {
  color: var(--color-aqua);
}
.estate-card .estate-card__descr {
  margin-bottom: 30px;
  line-height: 1.5;
}
.estate-card .estate-card__phone a {
  text-decoration: none;
  color: #000;
  font-size: 16px;
}
.estate-card .estate-card__phone a:hover {
  color: var(--color-aqua);
}
.estate-panel__links {
  display: flex;
  font-size: 14px;
  flex-wrap: wrap;
  justify-content: center;
}
.estate-panel__links a,
.estate-panel__links button {
  display: flex;
  align-items: center;
  margin: 0 12px 20px 12px;
  color: #000;
  text-decoration: none;
  line-height: 1;
  cursor: pointer;
  background: none;
  border: 0px;
  font-weight: 300;
  padding: 0;
}
.estate-panel__links a:hover,
.estate-panel__links button:hover {
  color: var(--color-aqua);
}
.estate-panel__links a .icon-box,
.estate-panel__links button .icon-box {
  margin: -2px 5px 0 0;
  color: var(--color-aqua);
  width: 25px;
  text-align: center;
}
.estate-panel__links a svg.icon-print,
.estate-panel__links button svg.icon-print {
  width: 14px;
  height: 14px;
}
.estate-panel__links a svg.icon-pdf,
.estate-panel__links button svg.icon-pdf {
  width: 16px;
  height: 18px;
}
.estate-panel__links a svg.icon-camera,
.estate-panel__links button svg.icon-camera {
  width: 19px;
  height: 13px;
}
.estate-panel__links a svg.icon-lock,
.estate-panel__links button svg.icon-lock {
  width: 16px;
  height: 17px;
}
.estate-panel__links a svg.icon-mail,
.estate-panel__links button svg.icon-mail {
  width: 17px;
  height: 13px;
}
.estate-panel__links a svg.icon-share,
.estate-panel__links button svg.icon-share {
  width: 16px;
  height: 16px;
}
.estate-panel__links a svg.icon-map-border,
.estate-panel__links button svg.icon-map-border {
  width: 20px;
  height: 20px;
}
.estate-plan-previews {
  display: none;
  justify-content: center;
  gap: 40px;
}
@media (max-width: 575px) {
  .estate-plan-previews {
    gap: 10px;
  }
}
.estate-plan-previews.active {
  display: flex;
}
.estate-plan-previews .preview {
  flex: 0 0 auto;
  cursor: pointer;
}
.estate-plan-previews .preview .image {
  width: 100px;
  height: 90px;
  padding: 8px;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 2px solid transparent;
}
@media (max-width: 575px) {
  .estate-plan-previews .preview .image {
    padding: 4px;
    width: 72px;
    height: 62px;
  }
}
.estate-plan-previews .preview .image img {
  display: inline-block;
  max-width: 100%;
  max-height: 100%;
}
.estate-plan-previews .preview .title {
  font-size: 14px;
  color: #000000;
  margin: 10px 0 0 0;
  text-align: center;
}
@media (max-width: 575px) {
  .estate-plan-previews .preview .title {
    font-size: 12px;
  }
}
.estate-plan-previews .preview.active .image {
  border-color: var(--color-aqua);
}
.estate-plan-previews .preview.active .title {
  color: var(--color-aqua);
}
.estate-plan-previews .estate-floor__plan svg {
  max-height: 74px;
}
.floor_scheme_block {
  display: inline-block;
  position: relative;
  text-align: center;
}
.floor_scheme_block.p-top {
  padding-top: 45px;
}
.floor_scheme_block.p-bottom {
  padding-bottom: 45px;
}
.floor_scheme_block.p-left {
  padding-left: 45px;
}
.floor_scheme_block.p-right {
  padding-right: 45px;
}
.floor_scheme_block .street {
  color: var(--color-text-gray);
  font-size: 12px;
  font-weight: 300;
}
.floor_scheme_block .street_top {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  padding-right: 50px;
  padding-left: 50px;
}
.floor_scheme_block .street_bottom {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  padding-right: 50px;
  padding-left: 50px;
}
.floor_scheme_block .street_left {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  writing-mode: vertical-rl;
  transform: rotate(180deg);
  padding-top: 50px;
  padding-bottom: 50px;
}
.floor_scheme_block .street_right {
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  writing-mode: vertical-rl;
  padding-top: 50px;
  padding-bottom: 50px;
}
@media (max-width: 767px) {
  .floor_scheme_block {
    padding: 20px;
  }
  .floor_scheme_block.p-top {
    padding-top: 30px;
  }
  .floor_scheme_block.p-bottom {
    padding-bottom: 30px;
  }
  .floor_scheme_block.p-left {
    padding-left: 30px;
  }
  .floor_scheme_block.p-right {
    padding-right: 30px;
  }
  .floor_scheme_block .street_top {
    top: 10px;
  }
  .floor_scheme_block .street_bottom {
    bottom: 10px;
  }
  .floor_scheme_block .street_left {
    left: 10px;
  }
  .floor_scheme_block .street_right {
    right: 10px;
  }
}
.preview .floor_scheme_block {
  padding: 0px;
}
.preview .floor_scheme_block .street_top,
.preview .floor_scheme_block .street_bottom,
.preview .floor_scheme_block .street_left,
.preview .floor_scheme_block .street_right {
  display: none;
}
/*Строка с количеством людей интересовавшихся недвижимостью.*/
.estate-interest {
  display: inline-block;
  font-size: 12px;
  color: var(--color-text-gray);
  padding-left: 12px;
  position: relative;
}
.estate-interest::before {
  display: block;
  position: absolute;
  content: '';
  background: var(--color-aqua);
  width: 5px;
  height: 5px;
  border-radius: 50%;
  top: 50%;
  left: 0px;
  margin: -3px 0 0 0;
  animation: blinking 0.8s linear infinite alternate;
}
.estate-interest .estate-interest__count {
  color: var(--color-text-default);
}
@keyframes blinking {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
/*Переключатель индикатора солнца.*/
.sun_toggler {
  display: flex;
  align-items: center;
  cursor: pointer;
}
.sun_toggler .button {
  position: relative;
  flex-shrink: 0;
  width: 36px;
  height: 20px;
  margin: 0 0 0 12px;
  border-radius: 10px;
  background-color: var(--color-gray);
  opacity: 1;
  transition: opacity 0.3s ease, color 0.3s ease;
}
.sun_toggler .button::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 0;
  width: 16px;
  height: 16px;
  background-color: #ffffff;
  border-radius: 50%;
  transform: translate3d(2px, -50%, 0);
  transition: transform 0.3s ease;
}
.sun_toggler:hover .button {
  opacity: 0.8;
}
.sun_toggler.active .button {
  background-color: var(--color-aqua);
  opacity: 1;
}
.sun_toggler.active .button::after {
  transform: translate3d(18px, -50%, 0);
}
.sun_toggler.active:hover .button {
  opacity: 0.8;
}
/*Кнопки контроля положения солнца.*/
.sun_controls {
  height: 118px;
  display: none;
}
@media (max-width: 575px) {
  .sun_controls {
    height: auto;
  }
}
.sun_controls.active {
  display: block;
}
.sun_controls .body {
  position: relative;
  display: flex;
  justify-content: space-between;
  width: 240px;
}
@media (max-width: 575px) {
  .sun_controls .body {
    margin: 0 auto;
  }
}
.sun_controls .body::after {
  content: "";
  position: absolute;
  top: 12px;
  left: 0;
  width: 100%;
  height: 1px;
  background-color: var(--color-border-gray);
}
.sun_controls .item {
  position: relative;
  z-index: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0 4px;
  background-color: #ffffff;
  cursor: pointer;
}
.sun_controls .item .circle {
  position: relative;
  width: 25px;
  height: 25px;
  border-radius: 50%;
  border: 2px solid var(--color-border-gray);
  transition: border-color 0.3s ease;
}
.sun_controls .item .circle::before {
  content: "";
  position: absolute;
  top: 2px;
  left: 2px;
  width: 17px;
  height: 17px;
  border-radius: 50%;
  background-color: var(--color-aqua);
  transition: opacity 0.3s ease;
  opacity: 0;
}
.sun_controls .item .text {
  margin-top: 6px;
  font-size: 12px;
  line-height: 26px;
  color: var(--color-text-default);
}
.sun_controls .item.active .circle {
  border-color: var(--color-aqua);
}
.sun_controls .item.active .circle::before {
  opacity: 1;
}
/*Индикатор положения солнца относительно квартиры.*/
.sun_indicator {
  display: none;
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 470px;
  height: 470px;
}
@media (max-width: 575px) {
  .sun_indicator {
    width: 340px;
    height: 340px;
  }
}
@media (max-width: 360px) {
  .sun_indicator {
    width: 300px;
    height: 300px;
  }
}
.sun_indicator.active {
  display: block;
}
.sun_indicator .rotator {
  width: 100%;
  height: 100%;
  position: relative;
}
.sun_indicator .circle_half {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 50%;
  overflow: hidden;
}
.sun_indicator .circle {
  display: block;
  position: absolute;
  left: 0;
  bottom: 0;
  width: 470px;
  height: 470px;
  border: 2px dashed var(--color-border-gray);
  border-radius: 0 0 50% 50%;
}
@media (max-width: 575px) {
  .sun_indicator .circle {
    width: 340px;
    height: 340px;
  }
}
@media (max-width: 360px) {
  .sun_indicator .circle {
    width: 300px;
    height: 300px;
  }
}
.sun_indicator .text_cont {
  display: block;
  width: 76px;
  height: 32px;
  border-radius: 16px;
  background: #ffffff;
  border: 1px solid var(--color-border-gray);
  line-height: 30px;
  font-size: 12px;
  color: var(--color-text-default);
  text-align: center;
  position: absolute;
  top: 50%;
  margin-top: -16px;
}
@media (max-width: 575px) {
  .sun_indicator .text_cont {
    width: 65px;
    height: 26px;
    font-size: 10px;
    line-height: 24px;
    margin-top: -13px;
  }
}
.sun_indicator .text_cont.sunrise {
  right: 0;
  margin-right: -38px;
}
@media (max-width: 575px) {
  .sun_indicator .text_cont.sunrise {
    margin-right: -32px;
  }
}
.sun_indicator .text_cont.sunset {
  left: 0;
  margin-left: -38px;
}
@media (max-width: 575px) {
  .sun_indicator .text_cont.sunset {
    margin-left: -32px;
  }
}
.sun_indicator .sun_container {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transition: transform 0.8s ease;
}
.sun_indicator .sun_container .sun {
  position: absolute;
  left: 50%;
  bottom: -17px;
  margin: 0 0 0 -19px;
  width: 38px;
  height: 38px;
  background: url('/img/icons/sun.svg') center no-repeat;
}
@media (max-width: 575px) {
  .sun_indicator .sun_container .sun {
    background-size: 90%;
  }
}
.sun_indicator .sun_container .sun_direction {
  position: absolute;
  left: -11px;
  bottom: 27px;
  width: 60px;
  height: 60px;
  border-left: 1px dashed var(--color-aqua);
  border-bottom: 1px dashed var(--color-aqua);
  transform: rotate(-45deg);
}
.sun_indicator.morning .sun_container {
  transform: rotate(-75deg);
}
.sun_indicator.evening .sun_container {
  transform: rotate(75deg);
}
/*Страница с информацией об объекте недвижимости.-END-*/
/*Блок компаса.*/
.compass_block {
  display: inline-block;
  position: relative;
  width: 74px;
  height: 78px;
}
@media (max-width: 767px) {
  .compass_block {
    width: 48px;
    height: 50px;
  }
}
.compass_block svg.icon-compass {
  width: 100%;
  height: 100%;
}
.compass_block .letter {
  display: block;
  width: 7px;
  height: 11px;
  position: absolute;
  font-size: 11px;
  line-height: 11px;
  font-weight: 400;
  color: #000000;
}
@media (max-width: 767px) {
  .compass_block .letter {
    font-weight: 300;
  }
}
.compass_block .letter.north {
  color: var(--color-aqua);
  top: 0;
  left: 50%;
  margin: 0 0 0 -4px;
}
.compass_block .letter.west {
  top: 50%;
  left: 0;
  margin: -6px 0 0 0;
}
.compass_block .letter.east {
  top: 50%;
  right: 0;
  margin: -6px 0 0 0;
}

